
Price Monitoring - Task #1591

Price Monitoring Screens (مراقبة الاسعار)

08/05/2019 02:01 PM - Israa Naser

Status: Closed Start date: 08/05/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abed Abuhalawa Actual Result:  

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Price Monitoring Screens (مراقبة

(الاسعار

Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

The Monitoring screen will let the user monitor the items that exist in CO-OPs database, Map Items, build Comparison Items table

manually and save it for later use, send inspection orders, Edit Profit Margin and using the following search criteria:

1.    Search by Barcode: The system display the Item has the barcode inserted.

2.    Search by Item Name: The system will display all items related or close to the inserted text.

And the following Filters:

3.    City: The system will display all cooperatives related to the city selected and the user is able to add more cooperative.

4.    Category: The system will display all items related to the category selected.

5.    Cooperatives Selection: The user could determine the selected cooperatives for Search or filtered result on items.

6.    Supplier: The system will display all the items that have been supplied by the supplier, if the supplier have similar specs in

different cooperative.

And the following Search option:

1.    Normal search will display all items based on the search criteria inserted.

Profit Margin Search will display all items selling with profit margin more than the expected based on MOSA Law.

Related issues:

Related to Bug #1592: switching between search types requires the user to fil... Closed 08/05/2019

Related to Bug #1598: number of COOPs available in اسم الجمعية field is 25 me... Closed 08/06/2019

Related to Bug #1637: Calculating the profit margin on Price monitoring scree... Closed 08/25/2019

Related to Bug #1638: Search result table columns in price monitoring screen Closed 08/25/2019

Related to Bug #1639: Add city lists to filter the COOPs available for each c... Closed 08/25/2019

Related to Bug #1651: search by item name in any screen containing item name ... Closed 08/25/2019

Related to Bug #1806: Profit margin value updated in profit margins screen is... Closed 09/15/2019

History

#1 - 08/05/2019 02:04 PM - Israa Naser

- Related to Bug #1592: switching between search types requires the user to fill in the coop name and date  added

#2 - 08/06/2019 03:48 PM - Israa Naser

- Related to Bug #1598: number of COOPs available in اسم الجمعية field is 25 meanwhile they are expected to be 74 added

#3 - 08/15/2019 10:27 AM - Israa Naser

- Related to Bug #1612: Search by section in Price Comparison screen is not functioning correctly  added

#4 - 08/18/2019 06:02 PM - Israa Naser

- Related to deleted (Bug #1612: Search by section in Price Comparison screen is not functioning correctly )
#5 - 08/25/2019 10:20 AM - Israa Naser

- Related to Bug #1637: Calculating the profit margin on Price monitoring screen search result   added

#6 - 08/25/2019 10:31 AM - Israa Naser

- Related to Bug #1638: Search result table columns in price monitoring screen  added

#7 - 08/25/2019 10:48 AM - Israa Naser

- Related to Bug #1639: Add city lists to filter the COOPs available for each city when selected  added

#8 - 08/25/2019 02:47 PM - Israa Naser

- Related to Bug #1651: search by item name in any screen containing item name search field  added

#9 - 09/15/2019 10:53 AM - Israa Naser

- Related to Bug #1806: Profit margin value updated in profit margins screen is not reflected in the compare popup unless the user renews the session

added

#10 - 09/22/2019 01:33 AM - Israa Naser

- Status changed from Open to Closed

- % Done changed from 0 to 100

- Browser Chrome added

- Browser deleted (Firefox)

Closed as all related Issues have been fixed. thanks
